/* writes postscript program to make calendar pages 
 */

#include <stdio.h> 
#include <stdlib.h> 
#include <math.h>
#include <time.h>
#include <dos.h>
#include <stddef.h>

#include "timex.c" 
char *timeLabel(); 

/* the header and called routines are here: */
#include "jd.h"

#include "gregcal.c"
#include "weekday.c"
#include "noargs.c"



void
main( argc, argv )
int argc;
char *argv[];
{
  int i; 
  long jd; 
  char *datestring;
  char datebuf[40];
  int year;
  int month;
  char c;
  char *monthName[13];
  int  monthLength[13]; 


#ifdef debug      
  for (i=0; i<argc; ++i)
  {
    printf(" argc = %d, argv[%d] = %s \n", argc, i, argv[i] );
  }
#endif debug
  
  /* get the postscript header: */
  while( (c=getchar()) != EOF) putchar(c); 

  monthName[1] = "january";
  monthName[2] = "february";
  monthName[3] = "march";
  monthName[4] = "april";
  monthName[5] = "may";
  monthName[6] = "june";
  monthName[7] = "july";
  monthName[8] = "august";
  monthName[9] = "september";
  monthName[10] = "october";
  monthName[11] = "november";
  monthName[12] = "december";

  monthLength[1] = 31;
  monthLength[2] = 28;
  monthLength[3] = 31;
  monthLength[4] = 30;
  monthLength[5] = 31;
  monthLength[6] = 30;
  monthLength[7] = 31;
  monthLength[8] = 31;
  monthLength[9] = 30;
  monthLength[10] = 31;
  monthLength[11] = 30;
  monthLength[12] = 31;

  if (argc == 3)
  {
    year = atoi( argv[1] );
    month = atoi( argv[2] );
        
    jd = fvfGregorianCalendarToJD( year, month, 1 ); 


    if ( fvfGregorianCalendarToJD( year, 2, 29 )
      != fvfGregorianCalendarToJD( year, 3, 1 ) )
	monthLength[2] = 29; 

    printf(" /jdstart %ld def \n", jd ); 
    printf(" /header (%d / %s ) def \n", year, monthName[month] );
    printf(" /monthlength %d def \n", monthLength[month] );
    printf(" /daynumber %d def \n", -1 * weekdayNumber(jd)  ); 

    printf( "\n\n do-it-all \n showpage \n\n" ); 

 }
    
}





